<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Builder;

class PagSeguroAmountViewModelBuilder implements Builder {
	protected $value;
	protected $currency;
	protected $summary;

	public function build(): PagSeguroAmountViewModel {

		$obj = new PagSeguroAmountViewModel();

		$obj->setValue( $this->value );
		$obj->setCurrency( $this->currency );
		$obj->setSummary( $this->summary );

		return $obj;

	}

	/**
	 *
	 * @param mixed $value
	 */
	public function setValue($value): PagSeguroAmountViewModelBuilder {

		$this->value = $value;
		return $this;

	}

	/**
	 *
	 * @param mixed $currency
	 */
	public function setCurrency($currency): PagSeguroAmountViewModelBuilder {

		$this->currency = $currency;
		return $this;

	}

	/**
	 *
	 * @param mixed $sumary
	 */
	public function setSummary($summary): PagSeguroAmountViewModelBuilder {

		$this->summary = $summary;
		return $this;

	}

}

